summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHenrik Brix Andersen <brix@gentoo.org>2005-06-27 11:34:37 +0000
committerHenrik Brix Andersen <brix@gentoo.org>2005-06-27 11:34:37 +0000
commitcdd740f77cc9a2d8341179b3143932cd284ab436 (patch)
tree69e572c1af2b2e0d64fb012bb48f20533ab13cf6 /net-wireless/wpa_supplicant/files
parentversion bump (diff)
downloadhistorical-cdd740f77cc9a2d8341179b3143932cd284ab436.tar.gz
historical-cdd740f77cc9a2d8341179b3143932cd284ab436.tar.bz2
historical-cdd740f77cc9a2d8341179b3143932cd284ab436.zip
New development snapshot.
Package-Manager: portage-2.0.51.22-r1
Diffstat (limited to 'net-wireless/wpa_supplicant/files')
-rw-r--r--net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.4.32
-rw-r--r--net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.3-wpa_cli.action44
2 files changed, 46 insertions, 0 deletions
diff --git a/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.4.3 b/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.4.3
new file mode 100644
index 000000000000..6babad7a72d1
--- /dev/null
+++ b/net-wireless/wpa_supplicant/files/digest-wpa_supplicant-0.4.3
@@ -0,0 +1,2 @@
+MD5 ebcdf680d9092afa9f6249171d2387ca wpa_supplicant-0.4.3.tar.gz 373052
+MD5 efb9130cf1dcb829caa43af4e0bee2fb madwifi-cvs-snapshot-2005-04-20.tar.bz2 1968548
diff --git a/net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.3-wpa_cli.action b/net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.3-wpa_cli.action
new file mode 100644
index 000000000000..834ec1dfe7ac
--- /dev/null
+++ b/net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.3-wpa_cli.action
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Copyright 1999-2005 Gentoo Foundation
+# Written by Roy Marples <uberlord@gentoo.org>
+# Distributed under the terms of the GNU General Public License v2
+# Alternatively, this file may be distributed under the terms of the BSD License
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/wpa_supplicant/files/wpa_supplicant-0.4.3-wpa_cli.action,v 1.1 2005/06/27 11:34:37 brix Exp $
+
+if [ -z "$1" -o -z "$2" ]; then
+ echo "Insufficient parameters" > /dev/stderr
+ exit 1
+fi
+
+INTERFACE="$1"
+ACTION="$2"
+
+# Note, the below action must NOT mark the interface down via ifconfig, ip or
+# similar. Addresses can be removed, changed and daemons can be stopped, but
+# the interface must remain up for wpa_supplicant to work.
+
+if [ -f /etc/gentoo-release ]; then
+ EXEC="/etc/init.d/net.${INTERFACE} --quiet"
+else
+ echo "I don't know what to do with this distro!" > /dev/stderr
+ exit 1
+fi
+
+case ${ACTION} in
+ CONNECTED)
+ EXEC="${EXEC} start"
+ ;;
+ DISCONNECTED)
+ EXEC="${EXEC} stop"
+ ;;
+ *)
+ echo "Unknown action ${ACTION}" > /dev/stderr
+ exit 1
+ ;;
+esac
+
+# ${EXEC} can use ${IN_BACKGROUND} so that it knows that the user isn't
+# stopping the interface and a background process - like wpa_cli - is.
+export IN_BACKGROUND=true
+
+${EXEC}